gnome-mag: POA_Bonobo_ConfigDatabase__epv Struct Reference

# POA_Bonobo_ConfigDatabase__epv Struct Reference

`#include <GNOME_Magnifier.h>`

## Data Fields
void * | _private
CORBA_boolean(* | _get_isWriteable )(PortableServer_Servant _servant, CORBA_Environment *ev)
Bonobo_KeyList *(* | getDirs )(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)
CORBA_boolean(* | hasDir )(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)
void(* | removeValue )(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)
void(* | removeDir )(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)
void(* | addDatabase )(PortableServer_Servant _servant, const Bonobo_ConfigDatabase db, const CORBA_char *key, const Bonobo_ConfigDatabase_DBFlags flags, CORBA_Environment *ev)
void(* | sync )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented5 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented6 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented7 )(PortableServer_Servant _servant, CORBA_Environment *ev)
void(* | unImplemented8 )(PortableServer_Servant _servant, CORBA_Environment *ev)

## Detailed Description

Definition at line 1059 of file GNOME_Magnifier.h.

## Field Documentation

void* POA_Bonobo_ConfigDatabase__epv::_private

Definition at line 1060 of file GNOME_Magnifier.h.

CORBA_boolean(* POA_Bonobo_ConfigDatabase__epv::_get_isWriteable)(PortableServer_Servant _servant, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_ConfigDatabase().

Bonobo_KeyList*(* POA_Bonobo_ConfigDatabase__epv::getDirs)(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)

CORBA_boolean(* POA_Bonobo_ConfigDatabase__epv::hasDir)(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::removeValue)(PortableServer_Servant _servant, const CORBA_char *key, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::removeDir)(PortableServer_Servant _servant, const CORBA_char *dir, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::addDatabase)(PortableServer_Servant _servant, const Bonobo_ConfigDatabase db, const CORBA_char *key, const Bonobo_ConfigDatabase_DBFlags flags, CORBA_Environment *ev)

Referenced by get_skel_small_Bonobo_ConfigDatabase().

void(* POA_Bonobo_ConfigDatabase__epv::sync)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::unImplemented5)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::unImplemented6)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::unImplemented7)(PortableServer_Servant _servant, CORBA_Environment *ev)

void(* POA_Bonobo_ConfigDatabase__epv::unImplemented8)(PortableServer_Servant _servant, CORBA_Environment *ev)

The documentation for this struct was generated from the following file:

- GNOME_Magnifier.h